<div align="center">
    <a href="https://xhiveerp.com">
        <img src="https://raw.githubusercontent.com/xhiveframework/xhiveerp/develop/xhiveerp/public/images/xhiveerp-logo.png" height="128">
    </a>
    <h2>XhiveERP</h2>
    <p align="center">
        <p>ERP made simple</p>
    </p>

[![CI](https://github.com/xhiveframework/xhiveerp/actions/workflows/server-tests.yml/badge.svg?branch=develop)](https://github.com/xhiveframework/xhiveerp/actions/workflows/server-tests.yml)
[![UI](https://github.com/xhiveerp/xhiveerp_ui_tests/actions/workflows/ui-tests.yml/badge.svg?branch=develop&event=schedule)](https://github.com/xhiveerp/xhiveerp_ui_tests/actions/workflows/ui-tests.yml)
[![Open Source Helpers](https://www.codetriage.com/xhiveframework/xhiveerp/badges/users.svg)](https://www.codetriage.com/xhiveframework/xhiveerp)
[![codecov](https://codecov.io/gh/xhiveframework/xhiveerp/branch/develop/graph/badge.svg?token=0TwvyUg3I5)](https://codecov.io/gh/xhiveframework/xhiveerp)
[![docker pulls](https://img.shields.io/docker/pulls/xhiveframework/xhiveerp-worker.svg)](https://hub.docker.com/r/xhiveframework/xhiveerp-worker)

[https://xhiveerp.com](https://xhiveerp.com)

</div>

XhiveERP as a monolith includes the following areas for managing businesses:

1. [Accounting](https://xhiveerp.com/open-source-accounting)
1. [Warehouse Management](https://xhiveerp.com/distribution/warehouse-management-system)
1. [CRM](https://xhiveerp.com/open-source-crm)
1. [Sales](https://xhiveerp.com/open-source-sales-purchase)
1. [Purchase](https://xhiveerp.com/open-source-sales-purchase)
1. [HRMS](https://xhiveerp.com/open-source-hrms)
1. [Project Management](https://xhiveerp.com/open-source-projects)
1. [Support](https://xhiveerp.com/open-source-help-desk-software)
1. [Asset Management](https://xhiveerp.com/open-source-asset-management-software)
1. [Quality Management](https://xhiveerp.com/docs/user/manual/en/quality-management)
1. [Manufacturing](https://xhiveerp.com/open-source-manufacturing-erp-software)
1. [Website Management](https://xhiveerp.com/open-source-website-builder-software)
1. [Customize XhiveERP](https://xhiveerp.com/docs/user/manual/en/customize-xhiveerp)
1. [And More](https://xhiveerp.com/docs/user/manual/en/)

XhiveERP is built on the [Xhive Framework](https://github.com/xhiveframework/xhiveframework), a full-stack web app framework built with Python & JavaScript.

## Installation

<div align="center" style="max-height: 40px;">
    <a href="https://xhiveframeworkcloud.com/xhiveerp/signup">
        <img src=".github/try-on-f-cloud-button.svg" height="40">
    </a>
    <a href="https://labs.play-with-docker.com/?stack=https://raw.githubusercontent.com/xhiveframework/xhiveframework_docker/main/pwd.yml">
      <img src="https://raw.githubusercontent.com/play-with-docker/stacks/master/assets/images/button.png" alt="Try in PWD" height="37"/>
    </a>
</div>

> Login for the PWD site: (username: Administrator, password: admin)

### Containerized Installation

Use docker to deploy XhiveERP in production or for development of [Xhiveframework](https://github.com/xhiveframework/xhiveframework) apps. See https://github.com/xhiveframework/xhiveframework_docker for more details.

### Manual Install

The Easy Way: our install script for bench will install all dependencies (e.g. MariaDB). See https://github.com/xhiveframework/bench for more details.

New passwords will be created for the XhiveERP "Administrator" user, the MariaDB root user, and the xhiveframework user (the script displays the passwords and saves them to ~/xhiveframework_passwords.txt).


## Learning and community

1. [Xhiveframework School](https://xhiveframework.school) - Learn Xhive Framework and XhiveERP from the various courses by the maintainers or from the community.
2. [Official documentation](https://docs.xhiveerp.com/) - Extensive documentation for XhiveERP.
3. [Discussion Forum](https://discuss.xhiveerp.com/) - Engage with community of XhiveERP users and service providers.
4. [Telegram Group](https://t.me/xhiveerphelp) - Get instant help from huge community of users.


## Contributing

1. [Issue Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Issue-Guidelines)
1. [Report Security Vulnerabilities](https://xhiveerp.com/security)
1. [Pull Request Requirements](https://github.com/xhiveframework/xhiveerp/wiki/Contribution-Guidelines)
1. [Translations](https://translate.xhiveerp.com)


## License

GNU/General Public License (see [license.txt](license.txt))

The XhiveERP code is licensed as GNU General Public License (v3) and the Documentation is licensed as Creative Commons (CC-BY-SA-3.0) and the copyright is owned by SolutionERP LLC (Xhiveframework) and Contributors.

By contributing to XhiveERP, you agree that your contributions will be licensed under its GNU General Public License (v3).

## Logo and Trademark Policy

Please read our [Logo and Trademark Policy](TRADEMARK_POLICY.md).
