# Version 13.6.0 Release Notes

### Features & Enhancements

- Job Card Enhancements ([#24523](https://github.com/xhiveframework/xhiveerp/pull/24523))
- Implement multi-account selection in General Ledger([#26044](https://github.com/xhiveframework/xhiveerp/pull/26044))
- Fetching of qty as per received qty from PR to PI ([#26184](https://github.com/xhiveframework/xhiveerp/pull/26184))
- Subcontract code refactor and enhancement ([#25878](https://github.com/xhiveframework/xhiveerp/pull/25878))
- Employee Grievance ([#25705](https://github.com/xhiveframework/xhiveerp/pull/25705))
- Add Inactive status to Employee ([#26030](https://github.com/xhiveframework/xhiveerp/pull/26030))
- Incorrect valuation rate report for serialized items ([#25696](https://github.com/xhiveframework/xhiveerp/pull/25696))
- Update cost updates operation time and hour rates in BOM ([#25891](https://github.com/xhiveframework/xhiveerp/pull/25891))

### Fixes

- Precision rate for packed items in internal transfers ([#26046](https://github.com/xhiveframework/xhiveerp/pull/26046))
- User is not able to change item tax template ([#26176](https://github.com/xhiveframework/xhiveerp/pull/26176))
- Insufficient permission for Dunning error ([#26092](https://github.com/xhiveframework/xhiveerp/pull/26092))
- Validate Product Bundle for existing transactions before deletion ([#25978](https://github.com/xhiveframework/xhiveerp/pull/25978))
- Auto unlink warehouse from item on delete ([#26073](https://github.com/xhiveframework/xhiveerp/pull/26073))
- Employee Inactive status implications ([#26245](https://github.com/xhiveframework/xhiveerp/pull/26245))
- Fetch batch items in stock reconciliation ([#26230](https://github.com/xhiveframework/xhiveerp/pull/26230))
- Disabled cancellation for sales order if linked to drafted sales invoice ([#26125](https://github.com/xhiveframework/xhiveerp/pull/26125))
- Sort website products by weightage mentioned in Item master ([#26134](https://github.com/xhiveframework/xhiveerp/pull/26134))
- Added freeze when trying to stop work order (#26192) ([#26196](https://github.com/xhiveframework/xhiveerp/pull/26196))
- Accounting Dimensions for payroll entry accrual Journal Entry ([#26083](https://github.com/xhiveframework/xhiveerp/pull/26083))
- Staffing plan vacancies data type issue ([#25941](https://github.com/xhiveframework/xhiveerp/pull/25941))
- Unable to enter score in Assessment Result details grid ([#25945](https://github.com/xhiveframework/xhiveerp/pull/25945))
- Report Subcontracted Raw Materials to be Transferred ([#26011](https://github.com/xhiveframework/xhiveerp/pull/26011))
- Label for enabling ledger posting of change amount ([#26070](https://github.com/xhiveframework/xhiveerp/pull/26070))
- Training event ([#26071](https://github.com/xhiveframework/xhiveerp/pull/26071))
- Rate not able to change in purchase order ([#26122](https://github.com/xhiveframework/xhiveerp/pull/26122))
- Error while fetching item taxes ([#26220](https://github.com/xhiveframework/xhiveerp/pull/26220))
- Check for duplicate payment terms in Payment Term Template ([#26003](https://github.com/xhiveframework/xhiveerp/pull/26003))
- Removed values out of sync validation from stock transactions ([#26229](https://github.com/xhiveframework/xhiveerp/pull/26229))
- Fetching employee in payroll entry ([#26269](https://github.com/xhiveframework/xhiveerp/pull/26269))
- Filter Cost Center and Project drop-down lists by Company ([#26045](https://github.com/xhiveframework/xhiveerp/pull/26045))
- Website item group logic for product listing in Item Group pages ([#26170](https://github.com/xhiveframework/xhiveerp/pull/26170))
- Chart not visible for First Response Time reports ([#26032](https://github.com/xhiveframework/xhiveerp/pull/26032))
- Incorrect billed qty in Sales Order analytics ([#26095](https://github.com/xhiveframework/xhiveerp/pull/26095))
- Material request and supplier quotation not linked if supplier quotation created from supplier portal ([#26023](https://github.com/xhiveframework/xhiveerp/pull/26023))
- Update leave allocation after submit ([#26191](https://github.com/xhiveframework/xhiveerp/pull/26191))
- Taxes on Internal Transfer payment entry ([#26188](https://github.com/xhiveframework/xhiveerp/pull/26188))
- Precision rate for packed items (bp #26046) ([#26217](https://github.com/xhiveframework/xhiveerp/pull/26217))
- Fixed rounding off ordered percent to 100 in condition ([#26152](https://github.com/xhiveframework/xhiveerp/pull/26152))
- Sanctioned loan amount limit check ([#26108](https://github.com/xhiveframework/xhiveerp/pull/26108))
- Purchase receipt gl entries with same item code ([#26202](https://github.com/xhiveframework/xhiveerp/pull/26202))
- Taxable value for invoices with additional discount ([#25906](https://github.com/xhiveframework/xhiveerp/pull/25906))
- Correct South Africa VAT Rate (Updated) ([#25894](https://github.com/xhiveframework/xhiveerp/pull/25894))
- Remove response_by and resolution_by if sla is removed ([#25997](https://github.com/xhiveframework/xhiveerp/pull/25997))
- POS loyalty card alignment ([#26051](https://github.com/xhiveframework/xhiveerp/pull/26051))
- Flaky test for Report Subcontracted Raw materials to be transferred ([#26043](https://github.com/xhiveframework/xhiveerp/pull/26043))
- Export invoices not visible in GSTR-1 report ([#26143](https://github.com/xhiveframework/xhiveerp/pull/26143))
- Account filter not working with accounting dimension filter ([#26211](https://github.com/xhiveframework/xhiveerp/pull/26211))
- Allow to select group warehouse while downloading materials from production plan ([#26126](https://github.com/xhiveframework/xhiveerp/pull/26126))
- Added freeze when trying to stop work order ([#26192](https://github.com/xhiveframework/xhiveerp/pull/26192))
- Time out while submit / cancel the stock transactions with more than 50 Items ([#26081](https://github.com/xhiveframework/xhiveerp/pull/26081))
- Address Card issues in e-commerce ([#26187](https://github.com/xhiveframework/xhiveerp/pull/26187))
- Error while booking deferred revenue ([#26195](https://github.com/xhiveframework/xhiveerp/pull/26195))
- Eliminate repeat creation of HSN codes ([#25947](https://github.com/xhiveframework/xhiveerp/pull/25947))
- Opening invoices can alter profit and loss of a closed year ([#25951](https://github.com/xhiveframework/xhiveerp/pull/25951))
- Payroll entry employee detail issue ([#25968](https://github.com/xhiveframework/xhiveerp/pull/25968))
- Auto tax calculations in Payment Entry ([#26037](https://github.com/xhiveframework/xhiveerp/pull/26037))
- Use pos invoice item name as unique identifier ([#26198](https://github.com/xhiveframework/xhiveerp/pull/26198))
- Billing address not fetched in Purchase Invoice ([#26100](https://github.com/xhiveframework/xhiveerp/pull/26100))
- Timeout while cancelling stock reconciliation ([#26098](https://github.com/xhiveframework/xhiveerp/pull/26098))
- Status indicator for delivery notes ([#26062](https://github.com/xhiveframework/xhiveerp/pull/26062))
- Unable to enter score in Assessment Result details grid ([#26031](https://github.com/xhiveframework/xhiveerp/pull/26031))
- Too many writes while renaming company abbreviation ([#26203](https://github.com/xhiveframework/xhiveerp/pull/26203))
- Chart not visible for First Response Time reports ([#26185](https://github.com/xhiveframework/xhiveerp/pull/26185))
- Job applicant link issue ([#25934](https://github.com/xhiveframework/xhiveerp/pull/25934))
- Fetch preferred shipping address (bp #26132) ([#26201](https://github.com/xhiveframework/xhiveerp/pull/26201))
