import xhiveframework


def execute():
	active_sla_documents = [
		sla.document_type for sla in xhiveframework.get_all("Service Level Agreement", fields=["document_type"])
	]

	for doctype in active_sla_documents:
		doctype = xhiveframework.qb.DocType(doctype)
		try:
			xhiveframework.qb.update(doctype).set(doctype.agreement_status, "First Response Due").where(
				doctype.first_responded_on.isnull()
			).run()

			xhiveframework.qb.update(doctype).set(doctype.agreement_status, "Resolution Due").where(
				doctype.agreement_status == "Ongoing"
			).run()

		except Exception:
			xhiveframework.log_error("Failed to Patch SLA Status")
